import { FieldInfo } from 'model-util-base';
import { ConditionUtil, FieldUtil, TableUtilImpl } from 'model-util';
import { QuickTask } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-07 16:01
 */
interface QuickTaskCU extends ConditionUtil<QuickTaskCU> {
    ID: FieldUtil<QuickTaskCU>;
    SERVICE_CENTER_ID: FieldUtil<QuickTaskCU>;
    APP_ID: FieldUtil<QuickTaskCU>;
    TASK_TYPE: FieldUtil<QuickTaskCU>;
    TASK_CODE: FieldUtil<QuickTaskCU>;
    TASK_NAME: FieldUtil<QuickTaskCU>;
    DESCRIPTION: FieldUtil<QuickTaskCU>;
    CRON: FieldUtil<QuickTaskCU>;
    MAX_COST_TIME: FieldUtil<QuickTaskCU>;
    TASK_CONTENT: FieldUtil<QuickTaskCU>;
    DELETED: FieldUtil<QuickTaskCU>;
    ENABLED: FieldUtil<QuickTaskCU>;
    CHANGED: FieldUtil<QuickTaskCU>;
    LAST_RUN_TIME: FieldUtil<QuickTaskCU>;
    ENABLE_ALERT: FieldUtil<QuickTaskCU>;
    ALERT_CRON: FieldUtil<QuickTaskCU>;
    ALERT_TEMPLATE_ID: FieldUtil<QuickTaskCU>;
    CREATE_TIME: FieldUtil<QuickTaskCU>;
    UPDATE_TIME: FieldUtil<QuickTaskCU>;
}
declare class QuickTaskMU extends TableUtilImpl<QuickTaskCU, QuickTask> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: any;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): QuickTaskCU;
    static get ID(): FieldUtil<QuickTaskCU>;
    static get SERVICE_CENTER_ID(): FieldUtil<QuickTaskCU>;
    static get APP_ID(): FieldUtil<QuickTaskCU>;
    static get TASK_TYPE(): FieldUtil<QuickTaskCU>;
    static get TASK_CODE(): FieldUtil<QuickTaskCU>;
    static get TASK_NAME(): FieldUtil<QuickTaskCU>;
    static get DESCRIPTION(): FieldUtil<QuickTaskCU>;
    static get CRON(): FieldUtil<QuickTaskCU>;
    static get MAX_COST_TIME(): FieldUtil<QuickTaskCU>;
    static get TASK_CONTENT(): FieldUtil<QuickTaskCU>;
    static get DELETED(): FieldUtil<QuickTaskCU>;
    static get ENABLED(): FieldUtil<QuickTaskCU>;
    static get CHANGED(): FieldUtil<QuickTaskCU>;
    static get LAST_RUN_TIME(): FieldUtil<QuickTaskCU>;
    static get ENABLE_ALERT(): FieldUtil<QuickTaskCU>;
    static get ALERT_CRON(): FieldUtil<QuickTaskCU>;
    static get ALERT_TEMPLATE_ID(): FieldUtil<QuickTaskCU>;
    static get CREATE_TIME(): FieldUtil<QuickTaskCU>;
    static get UPDATE_TIME(): FieldUtil<QuickTaskCU>;
    static get SERVICE_CENTER_NAME11(): FieldInfo;
    static get DESCRIPTION11(): FieldInfo;
    get ID(): FieldUtil<QuickTaskCU>;
    get SERVICE_CENTER_ID(): FieldUtil<QuickTaskCU>;
    get APP_ID(): FieldUtil<QuickTaskCU>;
    get TASK_TYPE(): FieldUtil<QuickTaskCU>;
    get TASK_CODE(): FieldUtil<QuickTaskCU>;
    get TASK_NAME(): FieldUtil<QuickTaskCU>;
    get DESCRIPTION(): FieldUtil<QuickTaskCU>;
    get CRON(): FieldUtil<QuickTaskCU>;
    get MAX_COST_TIME(): FieldUtil<QuickTaskCU>;
    get TASK_CONTENT(): FieldUtil<QuickTaskCU>;
    get DELETED(): FieldUtil<QuickTaskCU>;
    get ENABLED(): FieldUtil<QuickTaskCU>;
    get CHANGED(): FieldUtil<QuickTaskCU>;
    get LAST_RUN_TIME(): FieldUtil<QuickTaskCU>;
    get ENABLE_ALERT(): FieldUtil<QuickTaskCU>;
    get ALERT_CRON(): FieldUtil<QuickTaskCU>;
    get ALERT_TEMPLATE_ID(): FieldUtil<QuickTaskCU>;
    get CREATE_TIME(): FieldUtil<QuickTaskCU>;
    get UPDATE_TIME(): FieldUtil<QuickTaskCU>;
    get SERVICE_CENTER_NAME11(): FieldInfo;
    get DESCRIPTION11(): FieldInfo;
}
export { QuickTaskMU, QuickTaskCU };
